// OuvertureXml.pde
// Sketch Processing 3
// Gerard Paresys Guy Kayser
// 9 1 2019
// 
// Processing 3
//
// Ouvre un fichier xml au format:
//<?xml version="1.0" encoding="UTF-8"?>
//<root>
//   <PhonAlign>
//      <element>
//         <FIELD2>0</FIELD2>
//         <FIELD3>0.29</FIELD3>
//         <FIELD4>o~</FIELD4>
//      </element>
//      <element>
//         <FIELD2>0.29</FIELD2>
//         <FIELD3>0.37</FIELD3>
//         <FIELD4>n</FIELD4>
//      </element>
// ...
// ...
//      <element>
//         <FIELD2>2.849616</FIELD2>
//         <FIELD3>3.83</FIELD3>
//         <FIELD4>rivière</FIELD4>
//      </element>
//   </Trans>
//</root>

XML xml1;
XML[] kid1Data, kidkid1intervals, kidkid1intervalsxmax;
XML[][][] XMLTier= new XML[NVoix][5][]; // 2 Voix   5 Tier   xxx intervals
String[] TierName = new String[5];

void Ouverture(String NomFichier, int Voix) {
  boolean Probleme = false;
  File Fichier = new File(dataPath(NomFichier));
  if (!Fichier.exists()) { 
    println("2 Le fichier " + NomFichier + " n'existe pas");
    Probleme = true;
  }

  if (!Probleme) {
    xml1 = loadXML(NomFichierXML[Voix]);  
    println("Ouverture de: " + NomFichierXML[Voix] + "  ---------------------------------------------");
    if (!xml1.hasChildren()) { 
      println("4 Le fichier xml n'a pas le bon format");      
      Probleme = true;
    }
  }

  if (!Probleme) {
    if (AfficheConsole) for (int i = 0; i < NombreCouche * 2; i = i+1) { 
      println("xml1.listChildren()[" + i + "] = " + xml1.listChildren()[i]);
    }
    if (!(xml1.listChildren()[1] == "PhonAlign" )) {
      println("5 Le fichier xml n'a pas le bon format");
      Probleme = true;
    }
  }

  if (!Probleme) {
    kid1Data = xml1.getChildren();
    if (AfficheConsole) println("kid1Data-----------------------------------------------------------");
    if (AfficheConsole) println(kid1Data);  // gros a lister
    if (AfficheConsole) println("-----------------------------------------------------------");
    if (AfficheConsole) println("Length of kid1Data = " + kid1Data.length);
    for (int i = 0; i < NombreCouche; i = i+1) { 
      XMLTier[Voix][i] = kid1Data[(i * 2) + 1].getChildren("element");
      TierName[i] = kid1Data[(i * 2) + 1].getName();
      if (AfficheConsole) println("Tier " + i + " " + TierName[i]);
    }
  } 

  if (Probleme) exit();
}
